Tables
List table views
List the views defined on a table, ordered by tab-strip position.
GET
/
orgs
/
tables
/
{table_id}
/
views
List table views
curl --request GET \
--url https://api.useinvent.com/orgs/tables/{table_id}/views \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/tables/{table_id}/views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/tables/{table_id}/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"table_id": "<string>",
"table_type": "custom",
"name": "<string>",
"description": "<string>",
"color": "red",
"icon": "<string>",
"kind": "table",
"config": {
"shared": {
"open_items_in": "side_peek"
},
"board": {
"key": "<string>",
"hide_empty_groups": true,
"card_fields": [
"<string>"
],
"columns": [
{
"key": "<string>",
"visible": true
}
],
"date": {
"granularity": "relative",
"sort": "oldest_first"
},
"number": {
"from": 123,
"to": 123,
"step": 123,
"sort": "asc"
},
"card_color": "none"
},
"table": {
"columns": [
{
"key": "<string>",
"visible": true,
"sticky": true,
"wrap": true,
"width": 1015
}
]
},
"calendar": {
"key": "<string>",
"show_as": "month",
"show_weekends": true
},
"timeline": {
"key": "<string>",
"show_as": "hours",
"card_fields": [
"<string>"
]
},
"list": {
"fields": [
"<string>"
]
},
"gallery": {
"cover_key": "<string>",
"fit": "cover",
"size": "small",
"card_fields": [
"<string>"
]
}
},
"sort": {
"key": "<string>",
"direction": "asc"
},
"filter": {
"type": "rule",
"key": "<string>",
"operator": "contains",
"value": "<unknown>"
},
"position": 123,
"is_default": true,
"show_in_sidebar": true,
"archived": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Authorizations
Bearer token authentication using your API key
Path Parameters
Table ID
Query Parameters
Page number
Number of items to take
Next page token (Only used on special endpoints)
Response
200 - application/json
Available options:
custom, contacts, chats, users Accent color, by name
Available options:
red, orange, amber, yellow, lime, green, teal, cyan, sky, blue, indigo, violet, purple, fuchsia, pink, rose, neutral The emoji of a curated icon a user can pick for a table, view, field, or other entity
The view layout.
Available options:
table, board, calendar, timeline, list, gallery Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List table views
